Attribute VB_Name = "bass_ac3"
Option Explicit

' BASS_Set/GetConfig options
Global Const BASS_CONFIG_AC3_DOWNMIX = &H10000
Global Const BASS_CONFIG_AC3_DYNRNG = &H10001

' Additional BASS_AC3_StreamCreateFile/User/URL flags (and BASS_CONFIG_AC3_DOWNMIX config values)
Global Const BASS_AC3_DOWNMIX_2 = &H200         ' downmix to stereo
Global Const BASS_AC3_DOWNMIX_4 = &H400         ' downmix to quad
Global Const BASS_AC3_DOWNMIX_DOLBY = &H600     ' downmix to dolby
Global Const BASS_AC3_DYNAMIC_RANGE = &H800     ' enable dynamic range compression

' BASS_CHANNELINFO type
Global Const BASS_CTYPE_STREAM_AC3 = &H11000

Declare Function BASS_AC3_StreamCreateFile Lib "bass_ac3.dll" (ByVal mem As Long, ByVal f As Any, ByVal offset As Long, ByVal length As Long, ByVal flags As Long) As Long
Declare Function BASS_AC3_StreamCreateURL Lib "bass_ac3.dll" (ByVal url As String, ByVal offset As Long, ByVal flags As Long, ByVal proc As Long, ByVal user As Long) As Long
Declare Function BASS_AC3_StreamCreateFileUser Lib "bass_ac3.dll" (ByVal buffered As Long, ByVal flags As Long, ByVal proc As Long, ByVal user As Long) As Long